@charset "UTF-8";

*{
    margin: 0;
    padding: 0;
}
img{
    width: 100%;
    height: 100%;
    object-fit: cover;

    vertical-align: bottom;
}

a{
    display: block;
    text-decoration: none;
    color: black ;
}
#wrap{
    width: 100%;
}


/* header */

header div{
    display: flex;
    justify-content: space-between;
    align-items: center;
    height: 120px;
    background-color: gainsboro;
}

header h1 {
    margin-left: 20px;
    width: 80px;
    height: 80px;
}
header h1 img {
    object-fit: contain;
}

header > div > p{
    font-size: 2em;
    font-family: 'Silkscreen', cursive;
}

nav p{
    width: 70px;
    line-height: 70px;
    background-color: black;
    text-align: center;
    border-radius: 10px;
    font-size: 2.3em;
    color: white;
    margin-right: 20px;
}
ul{
    width: 100%;
    display: none;
    list-style: none;
    position: absolute;
    top: 105px;
    left: 0;
    z-index: 999;
    font-size: 1.5em;
    font-family: 'Zilla Slab', serif;
    letter-spacing: 0.2rem;
}
li{
    line-height: 50px;
    background-color: white;
    text-align: center;
}
a:hover{
    background-color: rgba(255, 192, 203, 0.6);
}


header p img{
    width: 100%;
    height: 300px;
    background-repeat: no-repeat;
}


/* main */

.Wo{
    padding: 20px;
}

.Ab{
    padding: 20px;
}

main h2{
    line-height: 1.5em;
    text-align: center;
    font-size: 1.7em;
    font-family: 'Zilla Slab', serif;
    letter-spacing: 0.3rem;
}

.midashi{
    width: 40%;
    display: inline-block; 
    text-align:  center; 
    background: paleturquoise;
    box-shadow: 0px 0px 0px 5px paleturquoise;
    border: dashed 2px white;
    padding: 0.2em 0.5em;
    margin: 1em;
}

main section div{
    text-align: center;
    font-family: 'Zen Maru Gothic', sans-serif;
}

#profile p img{
    width: 200px;
}

#design p img{
    width: 70%;
    text-align: center;
    padding: 10px;
    max-width: 550px;
}


/* footer */

footer{
    background-color: gainsboro;
    font-family: 'Zen Maru Gothic', sans-serif;
}

footer > div{
    display: flex;
    justify-content: space-between;
    align-items: center;
}

footer > div > div{
    padding: 20px;
}

footer > div > p{
    margin-right: 10px;
    width: 13%;
    max-width: 80px;

}

footer img{
    object-fit: contain;
}


/* MediaQuery 781px以上 */

@media screen and (min-width:781px) {
    /* header */
    nav p{
        display: none;
    }
    ul{
        display: flex;
        position: static;
    }
    li{
        width: 150px;
        background-color: transparent;
        text-align: center;
    }  
}


/* scrollTop */

#scrollTop{
    position: fixed;
    bottom: 20px;
    right: 10px;
    font-size: 2em;
}